<script setup>
	import {
		ref,
        onBeforeMount
	} from 'vue'
	import {
		useI18n
	} from "vue-i18n";
	import zhContent from '~/pages/protocol/components/privacy-policy/zh-page.vue';
import enContent from '~/pages/protocol/components/privacy-policy/en-page.vue';
	import { useLanguageStore } from '@/stores/language.js';    
    const {
    	t
    } = useI18n();
	const languageStore = useLanguageStore();
	const langIs = ref(languageStore.currentLocale)
    useHead({
      title: t('foot.privacy-policy'),
    })
</script>

<template>
	<div>		
		<zh-content v-if="langIs == 'cn' "></zh-content>
		<en-content v-else></en-content>
	</div>
</template>

